Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.io.datastore.sql.wherebuilder
Class AbstractPropertyNode

    java.lang.Object
      org.deegree.io.datastore.sql.wherebuilder.AbstractPropertyNode

All Implemented Interfaces:
  PropertyNode

Direct Known Subclasses:
  FeaturePropertyNode, GeometryPropertyNode, SimplePropertyNode

    abstract class AbstractPropertyNode

extends Object
implements PropertyNode

Abstract base class for all representations of `MappedPropertyType`s in a `QueryTableTree`.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Markus Schneider , last edited by: $Author: mschneider $

Constructor Summary
`AbstractPropertyNode(MappedPropertyType property, FeatureTypeNode parent, String[] tableAliases)` Creates a new `AbstractPropertyNode` instance from the given parameters.

Method Summary
`FeatureTypeNode` | `getParent()` Returns the parent feature type node.
`TableRelation[]` | `getPathFromParent()` Returns the table relations that lead from the parent feature type node's table to the table where this property's value is stored.
`MappedPropertyType` | `getProperty()` Returns the `MappedSimplePropertyType` that this node represents.
`String[]` | `getTableAliases()` Returns the aliases for the target tables in the table relations.
`abstract String` | `toString(String indent)` Returns an indented string representation of the object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractPropertyNode

    AbstractPropertyNode(MappedPropertyType property,
                         FeatureTypeNode parent,
                         String[] tableAliases)

  Creates a new `AbstractPropertyNode` instance from the given parameters.

  Parameters:
    `property` - the property that this node represents in the query tree
    `parent` - the parent feature type node
    `tableAliases` - the aliases for the tables that lead from the parent feature type node's table to the table where the property's value is stored

Method Detail

### getProperty

    public MappedPropertyType getProperty()

  Returns the `MappedSimplePropertyType` that this node represents.

  Specified by:
    `getProperty` in interface `PropertyNode`
  Returns:
    the MappedSimplePropertyType that this node represents

### getParent

    public FeatureTypeNode getParent()

  Returns the parent feature type node.

  Specified by:
    `getParent` in interface `PropertyNode`
  Returns:
    the parent feature type node

### getPathFromParent

    public TableRelation[] getPathFromParent()

  Returns the table relations that lead from the parent feature type node's table to the table where this property's value is stored.

  Specified by:
    `getPathFromParent` in interface `PropertyNode`
  Returns:
    the table relations that lead from the parent feature type node's table

### getTableAliases

    public String[] getTableAliases()

  Returns the aliases for the target tables in the table relations.

  Specified by:
    `getTableAliases` in interface `PropertyNode`
  Returns:
    the aliases for the target tables

### toString

    public abstract String toString(String indent)

  Returns an indented string representation of the object.

  Specified by:
    `toString` in interface `PropertyNode`
  Parameters:
    `indent` - current indentation (contains spaces to be prepended)
  Returns:
    an indented string representation of the object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org